EZ_GetWidgetUnknownData(3)

NAME
EZ_SetWidgetUnknownData, EZ_GetWidgetUnknownData, EZ_GetWidgetUnknownDataPtr
 - register/retrieve arbitary data to a widget

SYNOPSIS
#include <EZ.h>

typedef union {
  char            c;
  short           s;
  int             i;
  long            l;
  unsigned char   uc;
  unsigned short  us;
  unsigned int    ui;
  unsigned long   ul;
  float           f;
  void            *p;
} EZ_UnknownDataType;

void EZ_SetWidgetUnknownData( EZ_Widget*widget, int idx,
                               EZ_UnknownDataType data)
int  EZ_GetWidgetUnknownData( EZ_Widget*widget, int idx,
                               EZ_UnknownDataType *data_ret)
EZ_UnknownDataType EZ_GetWidgetUnknownDataPtr( EZ_Widget*widget)

ARGUMENTS
widget Specifies an EZ widget.

idx Specifies a positive integer.

data Specifies an entity of type EZ_UnknownDataType.

data_ret Specifies the return for client data.

DESCRIPTION

These functions attach client data to a widget. They are convenient (but a little dangerous) routines. They come handy when one wants to attach a few client data to a widget and does not feel like to create special data structures to handle them.

EZ_SetWidgetUnknownData (re)allocates the storage allocated for client data and set the 'idx' entry to 'data'.

EZ_GetWidgetUnknownData retrieves the client data stored at the 'idx' location. It returns 1 if the 'idx'th entry is available and returns 0 otherwise.

EZ_GetWidgetUnknownDataPtr returns the array allocated for client data.

SEE ALSO
EZ_SetWidgetPtrData(3), EZ_SetWidgetIntData(3),